> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename Labels in Payment Details Section

> Customise and rename the labels in the Payment Details section of the Payment Links payment request page using Razorpay APIs.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to change the labels for fields on the Payment Details section of the Payment Link's payment request page.

* You may even display labels in a different language for example, Hindi or Tamil.

* Given below is the list of fields for which you can rename labels.
  * `PAYMENT FOR`
  * `RECEIPT NO.`
  * `AMOUNT PAYABLE`
  * `EXPIRES ON`
  * `EXPIRED ON`
  * `DUE`
  * `PAID`
  * `AMOUNT PAID`
  * `ISSUED TO`

<RequestExample>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
  -X POST https://api.razorpay.com/v1/payment_links/ \
  -H 'Content-type: application/json' \
  -d '{
    "amount": 1000,
    "currency": "INR",
    "accept_partial": true,
    "first_min_partial_amount": 100,
    "reference_id": "#412232",
    "description": "Payment for policy no #23456",
    "expire_by": 1599193801,
    "customer": {
      "name": "<name>",
      "contact": "<phone>",
      "email": "<email>"
    },
    "notify": {
      "sms": true,
      "email": true
    },
    "reminder_enable": true,
    "options": {
      "hosted_page": {
        "label": {
          "receipt": "Ref No.",
          "description": "Course Name",
          "amount_payable": "Course Fee Payable",
          "amount_paid": "Course Fee Paid",
          "partial_amount_due": "Fee Installment Due",
          "partial_amount_paid": "Fee Installment Paid",
          "expire_by": "Pay Before",
          "expired_on": "Link Expired. Please contact Admin",
          "amount_due": "Course Fee Due"
        },
        "show_preferences": {
          "issued_to": false
        }
      }
    }
  }'
  ```

  ```php PHP theme={null}
  $api = new Api($key_id, $secret);

  $api->paymentLink->create(array('amount'=>500, 'currency'=>'INR', 'accept_partial'=>true, 'first_min_partial_amount'=>100, 'description' => 'For XYZ purpose', 'customer' => array('name'=>'<name>', 'email' => '<email>', 'contact'=>'<phone>'),  'notify'=>array('sms'=>true, 'email'=>true) ,'reminder_enable'=>true , 'options'=>array('hosted_page'=>array('label'=>array('receipt'=>'Ref No.', 'description'=>'Course Name', 'amount_payable'=>'Course Fee Payable', 'amount_paid'=>'Course Fee Paid', 'partial_amount_due'=>'Fee Installment Due', 'partial_amount_paid'=>'Fee Installment Paid', 'expire_by'=>'Pay Before', 'expired_on'=>'1632223497','amount_due'=>'Course Fee Due'), 'show_preferences'=>array('issued_to'=>false)))));
  ```

  ```javascript Node.js theme={null}
  var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })

  instance.paymentLink.create({
    amount: 1000,
    currency: "INR",
    accept_partial: true,
    first_min_partial_amount: 100,
    reference_id: "#421",
    description: "Payment for policy no #23456",
    customer: {
      name: "<name>",
      contact: "<phone>",
      email: "<email>"
    },
    notify: {
      sms: true,
      email: true
    },
    reminder_enable: true,
    options: {
      checkout: {
        partial_payment: {
          min_amount_label: "Minimum Money to be paid",
          partial_amount_label: "Pay in parts",
          partial_amount_description: "Pay at least ₹100",
          full_amount_label: "Pay the entire amount"
        }
      }
    }
  })
  ```

  ```python Python theme={null}
  import razorpay
  client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

  client.payment_link.create({
    "amount": 1000,
    "currency": "INR",
    "accept_partial": true,
    "first_min_partial_amount": 100,
    "reference_id": "#421",
    "description": "Payment for policy no #23456",
    "customer": {
      "name": "<name>",
      "contact": "<phone>",
      "email": "<email>"
    },
    "notify": {
      "sms": true,
      "email": true
    },
    "reminder_enable": true,
    "options": {
      "checkout": {
        "partial_payment": {
          "min_amount_label": "Minimum Money to be paid",
          "partial_amount_label": "Pay in parts",
          "partial_amount_description": "Pay at least ₹100",
          "full_amount_label": "Pay the entire amount"
        }
      }
    }
  })
  ```

  ```go Go theme={null}
  import ( razorpay "github.com/razorpay/razorpay-go" )
  client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

  data := map[string]interface{}{
    "amount": 1000,
    "currency": "INR",
    "accept_partial": true,
    "first_min_partial_amount": 100,
    "reference_id": "#412232",
    "description": "Payment for policy no #23456",
    "expire_by": 1599193801,
    "customer": map[string]interface{}{
      "name": "<name>",
      "contact": "<phone>",
      "email": "<email>",
    },
    "notify": map[string]interface{}{
      "sms": true,
      "email": true,
    },
    "reminder_enable": true,
    "options": map[string]interface{}{
      "hosted_page": map[string]interface{}{
        "label": map[string]interface{}{
          "receipt": "Ref No.",
          "description": "Course Name",
          "amount_payable": "Course Fee Payable",
          "amount_paid": "Course Fee Paid",
          "partial_amount_due": "Fee Installment Due",
          "partial_amount_paid": "Fee Installment Paid",
          "expire_by": "Pay Before",
          "expired_on": "Link Expired. Please contact Admin",
          "amount_due": "Course Fee Due",
        },
        "show_preferences": map[string]interface{}{
          "issued_to": false,
        },
      },
    },
  }
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('key_id', 'key_secret')

  para_attr = {
    "amount": 1000,
    "currency": "INR",
    "accept_partial": true,
    "first_min_partial_amount": 100,
    "reference_id": "#421",
    "description": "Payment for policy no #23456",
    "customer": {
      "name": "<name>",
      "contact": "<phone>",
      "email": "<email>"
    },
    "notify": {
      "sms": true,
      "email": true
    },
    "reminder_enable": true,
    "options": {
      "checkout": {
        "partial_payment": {
          "min_amount_label": "Minimum Money to be paid",
          "partial_amount_label": "Pay in parts",
          "partial_amount_description": "Pay at least ₹100",
          "full_amount_label": "Pay the entire amount"
        }
      }
    }
  }

  Razorpay.headers = {"Content-type" => "application/json"}

  Razorpay::PaymentLink.create(para_attr.to_json)
  ```

  ```java Java theme={null}
  import org.json.JSONObject;
  import com.razorpay.Payment;
  import com.razorpay.RazorpayClient;
  import com.razorpay.RazorpayException;

  RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
  JSONObject paymentLinkRequest = new JSONObject();
  paymentLinkRequest.put("amount",1000);
  paymentLinkRequest.put("currency","INR");
  paymentLinkRequest.put("accept_partial",true);
  paymentLinkRequest.put("reference_id","#aasasw8");
  paymentLinkRequest.put("first_min_partial_amount",100);
  paymentLinkRequest.put("description","Payment for policy no #23456");
  JSONObject customer = new JSONObject();
  customer.put("name","<phone>");
  customer.put("contact","<name>");
  customer.put("email","<email>");
  paymentLinkRequest.put("customer",customer);
  JSONObject notify = new JSONObject();
  notify.put("sms",true);
  notify.put("email",true);
  paymentLinkRequest.put("notify",notify);
  paymentLinkRequest.put("reminder_enable",true);

  JSONObject options = new JSONObject();
  JSONObject notes = new JSONObject();
  notes.put("branch","Acme Corp Bangalore North");
  notes.put("name","Bhairav Kumar");

  JSONObject partialPayment = new JSONObject();
  partialPayment.put("min_amount_label","Minimum Money to be paid");
  partialPayment.put("partial_amount_label","Pay in parts");
  partialPayment.put("partial_amount_description","Pay at least ₹100");
  partialPayment.put("full_amount_label","Pay the entire amount");
  JSONObject checkout = new JSONObject();
  checkout.put("partial_payment",partialPayment);
  options.put("checkout",checkout);
  paymentLinkRequest.put("options",options);

  PaymentLink payment = razorpay.paymentLink.create(requestRequest);
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  Dictionary<string, object> paymentLinkRequest = new Dictionary<string, object>();
  paymentLinkRequest.Add("amount", 1000);
  paymentLinkRequest.Add("currency", "INR");
  paymentLinkRequest.Add("accept_partial", true);
  paymentLinkRequest.Add("reference_id", "#aasasw8");
  paymentLinkRequest.Add("first_min_partial_amount", 100);
  paymentLinkRequest.Add("description", "Payment for policy no #23456");
  Dictionary<string, object> customer = new Dictionary<string, object>();
  customer.Add("contact", "+919999999999");
  customer.Add("name", "<name>");
  customer.Add("email", "<email>");
  paymentLinkRequest.Add("customer", customer);
  Dictionary<string, object> notify = new Dictionary<string, object>();
  notify.Add("sms", true);
  notify.Add("email", true);
  paymentLinkRequest.Add("notify", notify);
  paymentLinkRequest.Add("reminder_enable", true);

  Dictionary<string, object> options = new Dictionary<string, object>();
  Dictionary<string, object> notes = new Dictionary<string, object>();
  notes.Add("branch", "Acme Corp Bangalore North");
  notes.Add("name", "Bhairav Kumar");

  Dictionary<string, object> partialPayment = new Dictionary<string, object>();
  partialPayment.Add("min_amount_label", "Minimum Money to be paid");
  partialPayment.Add("partial_amount_label", "Pay in parts");
  partialPayment.Add("partial_amount_description", "Pay at least ₹100");
  partialPayment.Add("full_amount_label", "Pay the entire amount");
  Dictionary<string, object> checkout = new Dictionary<string, object>();
  checkout.Add("partial_payment", partialPayment);
  options.Add("checkout", checkout);
  paymentLinkRequest.Add("options", options);

  PaymentLink paymentlink = client.PaymentLink.Create(paymentLinkRequest);
  ```

  ```bash Request - Hindi theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
  -X POST https://api.razorpay.com/v1/payment_links/ \
  -H 'Content-type: application/json' \
  -d '{
    "amount": 1000,
    "currency": "INR",
    "accept_partial": true,
    "first_min_partial_amount": 100,
    "reference_id": "#423",
    "description": "Payment for policy no #23456",
    "customer": {
      "name": "<name>",
      "contact": "<phone>",
      "email": "<email>"
    },
    "notify": {
      "sms": true,
      "email": true
    },
    "reminder_enable": true,
    #customisation parameters start below#
    "options":{
      "hosted_page":{
        "label":{
          "receipt":"रसीद संख्या",
          "description":"कोर्स का नाम",
          "amount_payable":"शुल्क भुगतान",
          "amount_paid":"शुल्क जमा ",
          "partial_amount_due":"बाकी शुल्क किस्त",
          "partial_amount_paid":"शुल्क किस्त जमा",
          "expire_by":"शुल्क पेमेंट लास्ट डेट",
          "expired_on":"लिंक की समय सीमा समाप्त हो गई है। कृपया व्यवस्थापक से संपर्क करें",
          "amount_due": "बाकी शुल्क "
        },
        "show_preferences":{
          "issued_to":false
        }
      }
    }
  }'
  ```

  ```bash Request - Tamil theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
  -X POST https://api.razorpay.com/v1/payment_links/ \
  -H 'Content-type: application/json' \
  -d '{
    "amount": 1000,
    "currency": "INR",
    "accept_partial": true,
    "first_min_partial_amount": 100,
    "reference_id": "#424",
    "description": "Payment for policy no #23456",
    "customer": {
      "name": "<name>",
      "contact": "<phone>",
      "email": "<email>"
    },
    "notify": {
      "sms": true,
      "email": true
    },
    "reminder_enable": true,
    #customisation parameters start below#
    "options":{
      "hosted_page":{
        "label":{
          "receipt":"ரசீது எண்",
          "description":"கடன் வகை",
          "amount_payable":"செலுத்த வேண்டிய கடன் தவணைத் தொகை",
          "amount_paid":"செலுத்தப்பட்ட கடன் தவணைத் தொகை",
          "expire_by":"கடைசி தேதி",
          "expired_on":"இணைப்பு காலாவதியானது. நிர்வாகியைத் தொடர்பு கொள்ளவும்",
          "amount_due": "மீதமுள்ள கடன் தவணைத் தொகை"
        },
        "show_preferences":{
          "issued_to":false
        }
      }
    }
  }'
  ```

  ```bash CLI theme={null}
  razorpay payment-links create \
    --amount 1000 \
    --currency INR \
    --hosted-label-receipt "Invoice No" \
    --hosted-label-description "Order Info" \
    --hosted-label-amount-payable "Total Due" \
    --hosted-label-amount-paid "Amount Received" \
    --hosted-label-expire-by "Valid Until" \
    --hosted-label-amount-due "Balance Due"
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "accept_partial": true,
    "amount": 1000,
    "amount_paid": 0,
    "callback_method": "",
    "callback_url": "",
    "cancelled_at": 0,
    "created_at": 1596193858,
    "currency": "INR",
    "customer": {
      "contact": "<phone>",
      "email": "<email>",
      "name": "<name>"
    },
    "deleted_at": 0,
    "description": "Payment for policy no #23456",
    "expire_by": 1599193801,
    "expired_at": 0,
    "first_min_partial_amount": 100,
    "id": "plink_FL57CoEC2ulpzL",
    "notes": null,
    "notify": {
      "email": true,
      "sms": true
    },
    "payments": null,
    "reference_id": "#412232",
    "reminder_enable": true,
    "reminders": [],
    "short_url": "https://rzp.io/i/bDsi7WW",
    "source": "",
    "source_id": "",
    "status": "created",
    "updated_at": 1596193858,
    "user_id": ""
  }
  ```

  ```json Failure theme={null}
  {
    "error": {
      "code": "BAD_REQUEST_ERROR",
      "description": "The api key provided is invalid",
      "source": "NA",
      "step": "NA",
      "reason": "NA",
      "metadata": {}
    }
  }
  ```

  ```json Success theme={null}
  {
    "amount": 1000,
    "amount_paid": 0,
    "callback_method": "",
    "callback_url": "",
    "cancelled_at": 0,
    "created_at": 1596193858,
    "currency": "INR",
    "customer": {
      "contact": "<phone>",
      "email": "<email>",
      "name": "<name>"
    },
    "deleted_at": 0,
    "description": "Payment for policy no #23456",
    "expire_by": 1599193801,
    "expired_at": 0,
    "id": "plink_FL57CoEC2ulpzL",
    "notes": null,
    "notify": {
      "email": true,
      "sms": true
    },
    "payments": null,
    "reference_id": "#412232",
    "reminder_enable": true,
    "reminders": [],
    "short_url": "https://rzp.io/i/bDsi7WW",
    "source": "",
    "source_id": "",
    "status": "created",
    "updated_at": 1596193858,
    "user_id": ""
  }
  ```

  ```json Failure theme={null}
  {
    "error": {
      "code": "BAD_REQUEST_ERROR",
      "description": "The api key provided is invalid",
      "source": "NA",
      "step": "NA",
      "reason": "NA",
      "metadata": {}
    }
  }
  ```
</ResponseExample>

## Request Parameters

<ParamField body="amount" type="integer" required>
  Amount to be paid using the Payment Link. Must be in the smallest unit of the currency. For example, if you want to receive a payment of , you must enter the value `30000`. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as 295.
</ParamField>

<Warning>
  **Watch Out!**

  As per payment guidelines, you should pass the last decimal number as 0 for three decimal currency payments. For example, if you want to refund a customer 99.991 KD for a transaction, you should pass the value for the amount parameter as `99990` and not `99991`.
</Warning>

<ParamField body="currency" type="string">
  A three-letter ISO code for the currency in which you want to accept the payment. For example, INR. Refer to the list of [supported currencies](/docs/payments/international-payments#supported-currencies).

  <Info>
    **Handy Tips**

    Razorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about [Currency Conversion](/docs/payments/international-payments/currency-conversion) (May 2024).
  </Info>
</ParamField>

<ParamField body="accept_partial" type="boolean">
  Indicates whether customers can make [partial payments](/docs/payments/payment-links/partial-payments) using the Payment Link. Possible values:

  * `true`: Customer can make partial payments.
  * `false` (default): Customer cannot make partial payments.
</ParamField>

<ParamField body="first_min_partial_amount" type="integer" required>
  Minimum amount, in currency subunits, that must be paid by the customer as the first partial payment. Default value is `100`. Default currency is `INR`. For example, if an amount of  is to be received from the customer in two installments of #1 - , #2 - , then you can set this value as `500000`. Must be passed along with `accept_partial` parameter.
</ParamField>

<ParamField body="upi_link" type="boolean" required>
  Must be set to `true` for creating UPI Payment Link. If the `upi_link` parameter is not passed or passed with value as false, a Standard Payment Link will be created. Possible values:

  * `true`: Creates a UPI Payment Link.
  * `false`: Creates a Standard Payment Link.
</ParamField>

<ParamField body="description" type="string">
  A brief description of the Payment Link. The maximum character limit supported is 2048.
</ParamField>

<ParamField body="reference_id" type="string">
  Reference number tagged to a Payment Link. Must be a unique number for each Payment Link. The maximum character limit supported is 40.
</ParamField>

<ParamField body="customer" type="json object">
  Customer details
</ParamField>

<ParamField body="name" type="string">
  The customer's name.
</ParamField>

<ParamField body="email" type="string">
  The customer's email address.
</ParamField>

<ParamField body="contact" type="string">
  The customer's phone number.
</ParamField>

<ParamField body="expire_by" type="integer">
  Timestamp, in Unix, at which the Payment Link will expire. By default, a Payment Link will be valid for six months from the date of creation. Please note that the expire by date cannot exceed more than six months from the date of creation.
</ParamField>

<ParamField body="notify" type="array">
  Defines who handles Payment Link notification.
</ParamField>

<ParamField body="sms" type="boolean">
  Defines who handles the SMS notification. Possible values:

  * `true`: Razorpay handles the notification.
  * `false`: You handle the notification.
</ParamField>

<ParamField body="email" type="boolean">
  Defines who handles the email notification. Possible values:

  * `true`: Razorpay handles the notification.
  * `false`: You handle the notification.
</ParamField>

<ParamField body="notes" type="json object">
  Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, `"note_key": "Payment Link for Groceries.”`.
</ParamField>

<ParamField body="callback_url" type="string">
  If specified, adds a redirect URL to the Payment Link. Once customers completes the payment, they are redirected to the specified URL.

  <Info>
    **Handy Tips**

    If the `callback_url` is passed, it must be passed in the correct format. That is, it should contain a URL.
  </Info>
</ParamField>

<ParamField body="callback_method" type="string" required>
  If `callback_url` parameter is passed, callback\_method must be passed with the value `get`.
</ParamField>

<ParamField body="reminder_enable" type="boolean">
  Used to send [reminders](/docs/payments/payment-links/reminders) for the Payment Link. Possible values:

  * `true`: To send reminders.
  * `false`: To disable reminders.
</ParamField>

<ParamField body="options" type="array" required>
  Parent parameter under which the `hosted_page` and `label` child parameters must be passed.
</ParamField>

<ParamField body="hosted_page" type="array" required>
  The parameter for the Payment Details section. `label` is its child parameter.
</ParamField>

<ParamField body="label" type="array">
  Modifies the labels of fields in the Payment Details section.
</ParamField>

<ParamField body="description" type="string">
  Changes the label for `PAYMENT FOR`.
</ParamField>

<ParamField body="receipt" type="string">
  Changes the label for `RECEIPT NO`.
</ParamField>

<ParamField body="expire_by" type="string">
  Changes the label for `EXPIRES ON`. This appears when an expiry date is set for the Payment Link.
</ParamField>

<ParamField body="expired_on" type="string">
  Changes the label for `EXPIRED ON`. This appears when the Payment Link has expired.
</ParamField>

<ParamField body="amount_payable" type="string">
  Changes the label for `AMOUNT PAYABLE`.
</ParamField>

<ParamField body="partial_amount_due" type="string">
  Changes the label for `DUE`. This appears when a partial payment is made on a Payment Link.
</ParamField>

<ParamField body="partial_amount_paid" type="string">
  Change the label for `PAID`. This appears when a partial payment is made on a Payment Link.
</ParamField>

<ParamField body="amount_paid" type="string">
  Changes the label for `AMOUNT PAID`. This appears when a full payment has been made against the Payment Link.
</ParamField>

## Response Parameters

<ResponseField name="accept_partial" type="boolean">
  Indicates whether customers can make [partial payments](/docs/payments/payment-links/partial-payments) using the Payment Link. Possible values:

  * `true`: Customer can make partial payments.
  * `false` (default): Customer cannot make partial payments.
</ResponseField>

<ResponseField name="amount" type="integer">
  Amount to be paid using the Payment Link. Must be in the smallest unit of the currency. For example, if you want to receive a payment of , you must enter the value `30000`. In the case of three decimal currencies, such as KWD, BHD and OMR, to refund a payment of 295.991, pass the value as 295990. And in the case of zero decimal currencies such as JPY, to refund a payment of 295, pass the value as 295.

  <Warning>
    **Watch Out!**

    As per payment guidelines, you should pass the last decimal number as 0 for three decimal currency payments. For example, if you want to refund a customer 99.991 KD for a transaction, you should pass the value for the amount parameter as `99990` and not `99991`.
  </Warning>
</ResponseField>

<ResponseField name="amount_paid" type="integer">
  Amount paid by the customer.
</ResponseField>

<ResponseField name="callback_url" type="string">
  If specified, adds a redirect URL to the Payment Link. Once the customer completes the payment, they are redirected to the specified URL.
</ResponseField>

<ResponseField name="callback_method" type="string">
  If `callback_url` parameter is passed, `callback_method` must be passed with the value `get`.
</ResponseField>

<ResponseField name="cancelled_at" type="integer">
  Timestamp, in Unix, at which the Payment Link was cancelled by you.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in Unix, indicating when the Payment Link was created.
</ResponseField>

<ResponseField name="currency" type="string">
  Defaults to INR. We accept payments in [international currencies.](/docs/payments/international-payments#supported-currencies)

  <Info>
    **Handy Tips**

    Razorpay has added support for zero decimal currencies, such as JPY, and three decimal currencies, such as KWD, BHD, and OMR, allowing businesses to accept international payments in these currencies. Know more about [Currency Conversion](/docs/payments/international-payments/currency-conversion) (May 2024).
  </Info>
</ResponseField>

<ResponseField name="customer" type="json object">
  Customer details.
</ResponseField>

<ResponseField name="name" type="string">
  The customer's name.
</ResponseField>

<ResponseField name="email" type="string">
  The customer's email address.
</ResponseField>

<ResponseField name="contact" type="string">
  The customer's phone number.
</ResponseField>

<ResponseField name="description" type="string">
  A brief description of the Payment Link.
</ResponseField>

<ResponseField name="expire_by" type="integer">
  Timestamp, in Unix, when the Payment Link will expire. By default, a Payment Link will be valid for six months from the date of creation. Please note that the expire by date cannot exceed more than six months from the date of creation.
</ResponseField>

<ResponseField name="expired_at" type="integer">
  Timestamp, in Unix, at which the Payment Link expired.
</ResponseField>

<ResponseField name="first_min_partial_amount" type="integer">
  Minimum amount that must be paid by the customer as the first partial payment. For example, if an amount of  is to be received from the customer in two installments of #1 - , #2 - , then you can set this value as `500000`.
</ResponseField>

<ResponseField name="id" type="string">
  Unique identifier of the Payment Link. For example, `plink_ERgihyaAAC0VNW`.
</ResponseField>

<ResponseField name="upi_link" type="boolean">
  Indicates whether the Payment Link is a UPI Payment Link.

  * `true`: A UPI Payment Link has been created.
  * `false`: It is a Standard Payment Link.
</ResponseField>

<ResponseField name="notes" type="object">
  Set of key-value pairs that you can use to store additional information. You (Businesses) can enter a maximum of 15 key-value pairs, with each value having a maximum limit of 256 characters.
</ResponseField>

<ResponseField name="notify" type="array">
  Defines who handles Payment Link notification.
</ResponseField>

<ResponseField name="sms" type="boolean">
  Defines who handles the SMS notification.

  * `true`: Razorpay handles the notification.
  * `false`: Businesses handle the notification.
</ResponseField>

<ResponseField name="email" type="boolean">
  Defines who handles the email notification.

  * `true`: Razorpay handles the notification.
  * `false`: Businesses handle the notification.
</ResponseField>

<ResponseField name="payments" type="array">
  Payment details such as amount, payment id, Payment Link id and more are stored in this array. It is populated only after a payment is successfully captured by the customer. Only captured payments will be shown here. Until then, the value is `null`.
</ResponseField>

<ResponseField name="amount" type="integer">
  The amount paid by the customer using the Payment Link.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in Unix, indicating when the payment was made.
</ResponseField>

<ResponseField name="method" type="string">
  The payment method used to make the payment. Possible values:

  * `netbanking`
  * `card`
  * `wallet`
  * `upi`
  * `emi`
  * `bank_transfer`
</ResponseField>

<ResponseField name="payment_id" type="string">
  Unique identifier of the payment made against the Payment Link.
</ResponseField>

<ResponseField name="plink_id" type="string">
  Unique identifier of the Payment Link. For example, `plink_ERgihyaAAC0VNW`.
</ResponseField>

<ResponseField name="status" type="string">
  The payment state. Possible value is `captured`.
</ResponseField>

<ResponseField name="updated_at" type="integer">
  Timestamp, in Unix, indicating when the payment was updated.
</ResponseField>

<ResponseField name="reference_id" type="string">
  Reference number tagged to a Payment Link. Must be a unique number for each Payment Link. The maximum character limit supported is 40.
</ResponseField>

<ResponseField name="short_url" type="string">
  The unique short URL generated for the Payment Link.
</ResponseField>

<ResponseField name="status" type="string">
  Displays the current state of the Payment Link. Possible values:

  * `created`
  * `partially_paid`
  * `expired`
  * `cancelled`
  * `paid`
</ResponseField>

<ResponseField name="updated_at" type="integer">
  Timestamp, in Unix, indicating when the Payment Link was updated.
</ResponseField>

<ResponseField name="reminder_enable" type="boolean">
  Used to send [reminders](/docs/payments/payment-links/reminders) for the Payment Link. Possible values:

  * `true`: To send reminders.
  * `false`: To disable reminders.
</ResponseField>

<ResponseField name="user_id" type="string">
  A unique identifier for the user role through which the Payment Link was created. For example, `HD1JAKCCPGDfRx`.
</ResponseField>

## Errors

<AccordionGroup>
  <Accordion title="The api {key/secret} provided is invalid">
    **Code:** `4xx`

    There is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.

    **Solution:** Make sure that:

    * The API Keys are active and entered correctly.
    * There are no white-spaces before or after the keys.
  </Accordion>

  <Accordion title="The {input field} is required">
    **Code:** `4xx`

    A mandatory field is empty.

    **Solution:** Ensure all mandatory fields and values are present.
  </Accordion>

  <Accordion title="wrong input fields sent.">
    **Code:** `400`

    When wrong input fields are sent during Payment Link creation.

    **Solution:** Ensure that the input fields are added correctly. Refer to these [request parameters](/docs/api/payments/payment-links#request-parameters) on how to add correct input fields.
  </Accordion>

  <Accordion title="payment link creation with reference ID already attempted">
    **Code:** `400`

    An existing reference id has been passed.

    **Solution:** Ensure that a unique reference id is used for all Payment Links.
  </Accordion>

  <Accordion title="timestamp must be atleast 15 minutes in future">
    **Code:** `400`

    The epoch time passed is less than 15 minutes from the current time.

    **Solution:** The `close_by` time should be more than 15 minutes from the current time.
  </Accordion>

  <Accordion title="Invalid access: Cannot create a payment link in live mode, as live mode is disabled for merchant.">
    **Code:** `400`

    Occurs when you try to create a Payment Link in Live mode, but live mode is disabled for you

    **Solution:** Raise a request to our [support team](https://razorpay.com/support/) to get live mode enabled for you.
  </Accordion>

  <Accordion title="Invalid access: Cannot create a payment link, as Merchant is Suspended.">
    **Code:** `400`

    Occurs when you try to create a Payment Link when you have been been suspended.

    **Solution:** Raise a request to our [support team](https://razorpay.com/support/) to be reinstated.
  </Accordion>

  <Accordion title="value: the length must not be greater than 255.">
    **Code:** `400`

    When the notes length is greater than 255 characters during Payment Link creation.

    **Solution:** Please create a payment link with notes values less than 255 characters.
  </Accordion>
</AccordionGroup>
